Issue 96822 - Closing "business card" dialog when called from hyperlink dialog crashes Writer
Summary: Closing "business card" dialog when called from hyperlink dialog crashes Writer
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: OOO300m9
Hardware: PC All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks: 84405
  Show dependency tree
 
Reported: 2008-12-03 07:22 UTC by doze_worm
Modified: 2013-08-07 14:43 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description doze_worm 2008-12-03 07:22:48 UTC
[Steps]
1. Create a document.
2. Select "insert --> hyperlink" from top menu. Select "New Document" at the
left bar of the "Hyperlink" Dialog-box, type any name in the input-box of File,
choose File type as "Business Cards". And left-click Apply button.
3. Then we got "Business Cards" Dialog-box, left-click Help button. After the
Help Dialog-box open, left-click "X" button in the upper right corner, close it.
4. Focus on the "Hyperlink" Dialog-box, left-click "X" button in the upper right
corner, close it.
5. Focus on the "Business Cards" Dialog-box, left-click Cancle button.

[Result]
Crash and Quit!

[Expectedness]
Normally close "Business Cards" Dialog-box, program continue run.
Comment 1 doze_worm 2008-12-03 08:09:26 UTC
Besides "Business Cards"; File type of "Lables" and "Database" has the same problem.
Comment 2 michael.ruess 2008-12-03 09:02:15 UTC
MRU->OS: In Hyperlink dialog select "Business Cards" as "New document", enter
Filename and click "Insert". The now upcoming "Business Cards" dialog is not
modal, so the Hyperlink dialog can be closed. when now closing also the business
cards dialog, Writer crashes.
Comment 3 Oliver Specht 2008-12-03 10:42:11 UTC
Fixed in cws os123 by removing labels, business cards and database from the list
of document types in
svx/source/dialog/hldocntp.cxx 
Comment 4 Oliver Specht 2008-12-10 09:23:21 UTC
Reassigned for verification
Comment 5 michael.ruess 2008-12-12 11:18:36 UTC
Yes, these types of documents do not really make sense in this point.
Verified in CWS os123.
Comment 6 amy2008 2008-12-31 02:42:18 UTC
CC
Comment 7 michael.ruess 2009-02-02 14:42:50 UTC
Checked in DEV300m41.